#include "voiture.h"
#include"QSqlQuery"
voiture::voiture()
{
 matricule=0;
 marque="";
 couleur="";
}

voiture::voiture(int matricule,QString marque,QString couleur)
{
  this->matricule=matricule;
    this->marque=marque;
    this->couleur=couleur;
}

int voiture::get_matricule(){return  matricule;}
QString  voiture::get_marque(){return  marque;}
QString  voiture::get_couleur(){return  couleur;}
bool voiture::ajouter()
{
QSqlQuery query;
QString res= QString::number(matricule);
query.prepare("INSERT INTO VOITURE (MATRICULE,MARQUE,COULEUR) "
                    "VALUES (:matricule, :marque,:couleur)");
query.bindValue(":matricule", res);
query.bindValue(":marque", marque);
query.bindValue(":couleur", couleur);

return    query.exec();
}

QSqlQueryModel * voiture::afficher()
{QSqlQueryModel * model= new QSqlQueryModel();

model->setQuery("select * from VOITURE");
model->setHeaderData(0, Qt::Horizontal, QObject::tr("MATRICULE"));
model->setHeaderData(1, Qt::Horizontal, QObject::tr("MARQUE"));
model->setHeaderData(2, Qt::Horizontal, QObject::tr("COULEUR"));
    return model;
}
bool voiture::supprimer(int matricule)
{
QSqlQuery query;
QString res= QString::number(matricule);
query.prepare("Delete from VOITURE where MATRICULE = :matricule ");
query.bindValue(":matricule", res);
return    query.exec();
}
